Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.exceptions
[Java] Interface SourceCodeAware

    public interface SourceCodeAware
    extends java.io.Serializable

An interface that represents an exception that is capable of providing more information about the source code

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`java.lang.String` | `getFileName()`
`int` | `getLineNumber()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getFileName

    public java.lang.String getFileName()

### getLineNumber

    public int getLineNumber()

Groovy Documentation